from ensemble.lib.twistutils import gather_results


def command(options):
    """
    Bootstrap all machine providers in all configured environments.
    """
    actions = []

    for environment_name in options.environments.get_names():
        environment = options.environments.get(environment_name)
        provider = environment.get_machine_provider()

        options.log.info("Bootstrapping environment %r (type: %s)" % (
            environment.name, environment.type))

        bootstrap_deferred = provider.bootstrap()
        actions.append(bootstrap_deferred)

    return gather_results(actions)
