
from ensemble.errors import FormulaError


class FormulaNotFound(FormulaError):
    """A formula was not found in the repository."""

    def __init__(self, repository_path, formula_name):
        self.repository_path = repository_path
        self.formula_name = formula_name

    def __str__(self):
        return "Formula '%s' not found in repository %s" % (
            self.formula_name, self.repository_path)


class InvalidFormulaHook(FormulaError):
    """A named hook was not found to be valid for the formula."""

    def __init__(self, formula_name, hook_name):
        self.formula_name = formula_name
        self.hook_name = hook_name

    def __str__(self):
        return "Formula %r does not contain hook %r" % (
            self.formula_name, self.hook_name)
