from ensemble.formula.errors import FormulaNotFound, InvalidFormulaHook
from ensemble.errors import FormulaError

from ensemble.lib.testing import TestCase


class FormulaErrorsTest(TestCase):

    def test_FormulaNotFound(self):
        error = FormulaNotFound("/path", "cassandra")
        self.assertEquals(
            str(error),
            "Formula 'cassandra' not found in repository /path")
        self.assertTrue(isinstance(error, FormulaError))

    def test_InvalidFormulaHook(self):
        error = InvalidFormulaHook("mysql", "magic-relation-changed")
        self.assertEquals(
            str(error),
            "Formula 'mysql' does not contain hook 'magic-relation-changed'")
        self.assertTrue(isinstance(error, FormulaError))
